FS_FLUSHMOUNT(1)

NAME
fs_flushmount - Forces the Cache Manager to discard a mount point

SYNOPSIS
fs flushmount [-path <dir/file path>+] [-help]

fs flushm [-p <dir/file path>+] [-h]

DESCRIPTION
The fs flushmount command removes from the cache all information associated with each mount point named by the -path argument. The next time an application accesses the mount point, the Cache Manager fetches the most current version of it from the File Server. Data cached from the associated volume is not affected.

The command's intended use is to discard information about mount points that has become corrupted in the cache. (The Cache Manager periodically refreshes cached mount points, but the only other way to discard them immediately is to reinitialize the Cache Manager by rebooting the machine.) Symptoms of a corrupted mount point included garbled output from the fs lsmount command, and failed attempts to change directory to or list the contents of a mount point.

To flush cached data rather than a mount point, use the fs flush or fs flushvolume command.

OPTIONS

-path <dir/file path>+
    Names each mount point to flush from the cache. Partial pathnames are interpreted relative to the current working directory, which is also the default value if this argument is omitted.

-help
    Prints the online help for this command. All other valid options are ignored.

EXAMPLES
The following command flushes from the cache the mount point for user "pat"'s home directory:

   % fs flushm /afs/abc.com/usr/pat

PRIVILEGE REQUIRED
The issuer must have the "l" (lookup) permission on the ACL of the root directory of the volume that houses the file or directory named by the -path argument, and on the ACL of each directory that precedes it in the pathname.

SEE ALSO
fs_flush(1), fs_flushvolume(1), fs_lsmount(1)

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.